Index: uspace/srv/hid/compositor/compositor.c
===================================================================
--- uspace/srv/hid/compositor/compositor.c	(revision 38d150e6238ab44c861f6486e46454e07caeb0f0)
+++ uspace/srv/hid/compositor/compositor.c	(revision b7fd2a02e4161f4edd38548e7f8456b8021549be)
@@ -151,10 +151,10 @@
 static bool active = false;
 
-static int comp_active(input_t *);
-static int comp_deactive(input_t *);
-static int comp_key_press(input_t *, kbd_event_type_t, keycode_t, keymod_t, wchar_t);
-static int comp_mouse_move(input_t *, int, int);
-static int comp_abs_move(input_t *, unsigned, unsigned, unsigned, unsigned);
-static int comp_mouse_button(input_t *, int, int);
+static errno_t comp_active(input_t *);
+static errno_t comp_deactive(input_t *);
+static errno_t comp_key_press(input_t *, kbd_event_type_t, keycode_t, keymod_t, wchar_t);
+static errno_t comp_mouse_move(input_t *, int, int);
+static errno_t comp_abs_move(input_t *, unsigned, unsigned, unsigned, unsigned);
+static errno_t comp_mouse_button(input_t *, int, int);
 
 static input_ev_ops_t input_ev_ops = {
@@ -602,5 +602,5 @@
 	}
 	
-	int rc = async_data_read_finalize(callid, event, len);
+	errno_t rc = async_data_read_finalize(callid, event, len);
 	if (rc != EOK) {
 		async_answer_0(iid, ENOMEM);
@@ -706,5 +706,5 @@
 	
 	void *new_cell_storage;
-	int rc = async_share_out_finalize(callid, &new_cell_storage);
+	errno_t rc = async_share_out_finalize(callid, &new_cell_storage);
 	if ((rc != EOK) || (new_cell_storage == AS_MAP_FAILED)) {
 		async_answer_0(iid, ENOMEM);
@@ -1049,5 +1049,5 @@
 	/* Retrieve the mode that shall be set. */
 	vslmode_t new_mode;
-	int rc = visualizer_get_mode(vp->sess, &new_mode, mode_idx);
+	errno_t rc = visualizer_get_mode(vp->sess, &new_mode, mode_idx);
 	if (rc != EOK) {
 		fibril_mutex_unlock(&viewport_list_mtx);
@@ -1177,5 +1177,5 @@
 static async_sess_t *vsl_connect(service_id_t sid, const char *svc)
 {
-	int rc;
+	errno_t rc;
 	async_sess_t *sess;
 
@@ -1206,5 +1206,5 @@
 static viewport_t *viewport_create(service_id_t sid)
 {
-	int rc;
+	errno_t rc;
 	char *vsl_name = NULL;
 	viewport_t *vp = NULL;
@@ -1477,5 +1477,5 @@
 #endif
 
-static int comp_abs_move(input_t *input, unsigned x , unsigned y,
+static errno_t comp_abs_move(input_t *input, unsigned x , unsigned y,
     unsigned max_x, unsigned max_y)
 {
@@ -1512,5 +1512,5 @@
 }
 
-static int comp_mouse_move(input_t *input, int dx, int dy)
+static errno_t comp_mouse_move(input_t *input, int dx, int dy)
 {
 	pointer_t *pointer = input_pointer(input);
@@ -1624,5 +1624,5 @@
 }
 
-static int comp_mouse_button(input_t *input, int bnum, int bpress)
+static errno_t comp_mouse_button(input_t *input, int bnum, int bpress)
 {
 	pointer_t *pointer = input_pointer(input);
@@ -1809,5 +1809,5 @@
 }
 
-static int comp_active(input_t *input)
+static errno_t comp_active(input_t *input)
 {
 	active = true;
@@ -1817,5 +1817,5 @@
 }
 
-static int comp_deactive(input_t *input)
+static errno_t comp_deactive(input_t *input)
 {
 	active = false;
@@ -1823,5 +1823,5 @@
 }
 
-static int comp_key_press(input_t *input, kbd_event_type_t type, keycode_t key,
+static errno_t comp_key_press(input_t *input, kbd_event_type_t type, keycode_t key,
     keymod_t mods, wchar_t c)
 {
@@ -2143,10 +2143,10 @@
 }
 
-static int input_connect(const char *svc)
+static errno_t input_connect(const char *svc)
 {
 	async_sess_t *sess;
 	service_id_t dsid;
 
-	int rc = loc_service_get_id(svc, &dsid, 0);
+	errno_t rc = loc_service_get_id(svc, &dsid, 0);
 	if (rc != EOK) {
 		printf("%s: Input service %s not found\n", NAME, svc);
@@ -2199,5 +2199,5 @@
 	/* Create viewports and connect them to visualizers. */
 	category_id_t cat_id;
-	int rc = loc_category_get_id("visualizer", &cat_id, IPC_FLAG_BLOCKING);
+	errno_t rc = loc_category_get_id("visualizer", &cat_id, IPC_FLAG_BLOCKING);
 	if (rc != EOK)
 		goto ret;
@@ -2240,5 +2240,5 @@
 }
 
-static int compositor_srv_init(char *input_svc, char *name)
+static errno_t compositor_srv_init(char *input_svc, char *name)
 {
 	/* Coordinates of the central pixel. */
@@ -2251,5 +2251,5 @@
 	async_set_fallback_port_handler(client_connection, NULL);
 	
-	int rc = loc_server_register(NAME);
+	errno_t rc = loc_server_register(NAME);
 	if (rc != EOK) {
 		printf("%s: Unable to register server (%s)\n", NAME, str_error(rc));
@@ -2313,5 +2313,5 @@
 	printf("%s: HelenOS Compositor server\n", NAME);
 	
-	int rc = compositor_srv_init(argv[1], argv[2]);
+	errno_t rc = compositor_srv_init(argv[1], argv[2]);
 	if (rc != EOK)
 		return rc;
